/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Oct-13-2011 08:59:20pm
Filepath: scripts\Items\Misc\DisposalBag.cs
Lines of code: 51

Description: 

***********************************************************/


using System;
using Server.Items;
using Server.Misc;

namespace Server.Items
{
	public class DisposalBag : TrashBarrel
	{
	
		public override int deletedelay { get { return 3;}}
	
		[Constructable]
		public DisposalBag()
		{
			ItemID=3702;			
			Movable=true;
		}

		public override string DefaultName
		{
			get { return "a trash bag"; }
		} 

		public override bool OnDragDrop( Mobile from, Item item )
		{
			if(item.LootType==LootType.Blessed || item.Insured || item.LootType==LootType.Cursed)
			{
				from.SendMessage("Blessed, cursed and insured items cannot be placed in the trash bag");
				return false;
			}		
		
			return base.OnDragDrop(from,item);
		}
		
		public override bool OnDragDropInto( Mobile from, Item item, Point3D p )
		{
		
			if(item.LootType==LootType.Blessed || item.Insured || item.LootType==LootType.Cursed)
			{
				from.SendMessage("Blessed, cursed and insured items cannot be placed in the trash bag");
				return false;
			}		
		
			return base.OnDragDropInto(from,item,p);
		}

		/*public override int GetTotal( TotalType type )
		{

		return 0;
		}	
		
		public override void UpdateTotal( Item sender, TotalType type, int delta )
		{
		
		}*/		

		public DisposalBag( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
    	}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
		
			int version = reader.ReadInt();

			}
	}
}